## gwymodule-layer gwymodule-layer — GwyDataView layer modules |

## Functions

gboolean | gwy_layer_func_register ()
void | gwy_layer_func_foreach ()

## Includes

    #include <libgwymodule/gwymodule.h>

## Description

Layer modules implement GwyDataView layers, corresponding to different kinds of selections.

## Functions

### gwy_layer_func_register ()

    gboolean
    gwy_layer_func_register (GType type);

Registeres a layer function (layer type).

#### Parameters

type | Layer type in GObject type system. That is the return value of `gwy_layer_foo_get_type()`. |

#### Returns

Normally `TRUE`; `FALSE` on failure.

### gwy_layer_func_foreach ()

    void
    gwy_layer_func_foreach (GFunc function,
                            gpointer user_data);

Calls a function for each layer function.

#### Parameters

function | Function to run for each layer function. It will get function name (constant string owned by module system) as its first argument, `user_data` as the second argument. |
user_data | Data to pass to `function` . |